diff --git a/third_party/rust/glslopt/glsl-optimizer/include/c11/threads_posix.h b/build/rust/glslopt/glsl-optimizer/include/c11/threads_posix.h
similarity index 98%
rename from third_party/rust/glslopt/glsl-optimizer/include/c11/threads_posix.h
rename to build/rust/glslopt/glsl-optimizer/include/c11/threads_posix.h
index 45cb6075e6e0..2479d88570af 100644
--- a/third_party/rust/glslopt/glsl-optimizer/include/c11/threads_posix.h
+++ b/build/rust/glslopt/glsl-optimizer/include/c11/threads_posix.h
@@ -47,54 +47,64 @@ Configuration macro:
 #define EMULATED_THREADS_USE_NATIVE_TIMEDLOCK
 #endif
 
+#ifndef ONCE_FLAG_INIT
+#define ONCE_FLAG_USE_PTHREAD_ONCE
+#endif
+
 
 #include <pthread.h>
 
 /*---------------------------- macros ----------------------------*/
+#ifdef ONCE_FLAG_USE_PTHREAD_ONCE
 #define ONCE_FLAG_INIT PTHREAD_ONCE_INIT
+#endif
 #ifdef INIT_ONCE_STATIC_INIT
 #define TSS_DTOR_ITERATIONS PTHREAD_DESTRUCTOR_ITERATIONS
 #else
 #define TSS_DTOR_ITERATIONS 1  // assume TSS dtor MAY be called at least once.
 #endif
 
 // FIXME: temporary non-standard hack to ease transition
 #define _MTX_INITIALIZER_NP PTHREAD_MUTEX_INITIALIZER
 
 /*---------------------------- types ----------------------------*/
 typedef pthread_cond_t  cnd_t;
 typedef pthread_t       thrd_t;
 typedef pthread_key_t   tss_t;
 typedef pthread_mutex_t mtx_t;
+#ifdef ONCE_FLAG_USE_PTHREAD_ONCE
 typedef pthread_once_t  once_flag;
+#endif
 
 
 /*
 Implementation limits:
   - Conditionally emulation for "mutex with timeout"
     (see EMULATED_THREADS_USE_NATIVE_TIMEDLOCK macro)
 */
 struct impl_thrd_param {
     thrd_start_t func;
     void *arg;
 };
 
 static inline void *
 impl_thrd_routine(void *p)
 {
     struct impl_thrd_param pack = *((struct impl_thrd_param *)p);
     free(p);
     return (void*)(intptr_t)pack.func(pack.arg);
 }
 
 
 /*--------------- 7.25.2 Initialization functions ---------------*/
 // 7.25.2.1
+#ifdef ONCE_FLAG_USE_PTHREAD_ONCE
 static inline void
 call_once(once_flag *flag, void (*func)(void))
 {
     pthread_once(flag, func);
 }
+#endif
 
 
 /*------------- 7.25.3 Condition variable functions -------------*/
diff --git a/supply-chain/config.toml b/supply-chain/config.toml
index 89d7130055ef..c377c1dad033 100644
--- a/supply-chain/config.toml
+++ b/supply-chain/config.toml
@@ -64,6 +64,10 @@ notes = "Used for testing."
 dependency-criteria = { tokio-reactor = [], tokio-threadpool = [] }
 notes = "The dependencies on tokio-reactor and tokio-threadpools are just a hack to pin the version used by audioipc-{client,server}. Suppress vetting on those for the same reasons behind the policy entries."
 
+[policy.glslopt]
+audit-as-crates-io = true
+notes = "Patched version of upstream"
+
 [policy.gluesmith]
 criteria = "safe-to-run"
 notes = "Used for fuzzing."
